import type { _PDFAnnotation } from "./PDFAnnotation.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { PDFTextAnnotationIconType } from "./PDFTextAnnotationIconType.js";
export declare class _PDFAnnotationText extends _PDFAnnotation {
    static alloc(): _PDFAnnotationText;
    static new(): _PDFAnnotationText;
    init(): _PDFAnnotationText;
    /**
     * The type of icon displayed in the PDF. Supported icons: "Comment", "Key", "Note", "Help", "NewParagraph", "Paragraph" and "Insert".
     */
    iconType(): PDFTextAnnotationIconType;
    setIconType$(type: PDFTextAnnotationIconType): void;
}
export interface _PDFAnnotationText extends _NSCopying {
}
